package com.bonus.gs.sub.evaluate.outsourceEnterprise.service;


import com.bonus.gs.sub.evaluate.manager.utils.AjaxRes;
import com.bonus.gs.sub.evaluate.outsourceEnterprise.beans.ImportUserDataVo;
import com.bonus.gs.sub.evaluate.outsourceEnterprise.beans.ViolationBean;
import org.springframework.data.domain.Page;

import java.util.List;

public interface ViolationService {


    AjaxRes addOutsourceEnterprise(ViolationBean o);

    ViolationBean toViewOutsourceEnterprise(ViolationBean o);

    AjaxRes updateOutsourceEnterprise(ViolationBean o);

    int outsourceEnterpriseDelete(String[] id);

//    List<ViolationBean> exportOutsourceEnterprise(String keyWord);

    AjaxRes updateShopBaseInfo(ViolationBean bean,int row);

    List<ViolationBean> exportSubpageList(ViolationBean bean);

    List<ViolationBean> exportOutsourceEnterprise(ViolationBean bean);

    List<ViolationBean> getOutsourceEnterpriseByPage(ViolationBean o);

    /**
     * 导入数据校验
     * @param socialCreditCode
     * @param idCard
     * @param phone
     * @return
     */
    Integer getImportDataCheck(ImportUserDataVo dataVo);
}
